# REST API

- [Overview](https://docs.trust.enterprises/rest-api/overview.md): The REST API provides a number of resources to manage assets, create marketplaces, consume to check the status of your account, update topics and send messages for generate timestamp consensus.
- [Inscriptions](https://docs.trust.enterprises/rest-api/inscriptions.md): This functionality implements the HCS-20 standard, and evolves with it over time. It provides all the alpha features expected including deploying, minting, burning, and transfer.
- [Deploy an Inscription](https://docs.trust.enterprises/rest-api/inscriptions/deploy-an-inscription.md): Deploy an Inscription with a name, ticker, max, limit, metadata, and memo.
- [Mint an Inscription](https://docs.trust.enterprises/rest-api/inscriptions/mint-an-inscription.md): Mint an Inscription with an amount, ticker, and to address.
- [Burn an Inscription](https://docs.trust.enterprises/rest-api/inscriptions/burn-an-inscription.md): Burn an Inscription with an amount, ticker, and from address.
- [Transfer an Inscription](https://docs.trust.enterprises/rest-api/inscriptions/transfer-an-inscription.md): Transfer an Inscription with an amount, ticker, and from/to addresses.
- [NFT Ecosystem](https://docs.trust.enterprises/rest-api/nft-ecosystem.md): Understand our process for building NFTs ecosystems completely through our API endpoints, from creation, minting, metadata creation, to advanced transfer features.
- [Create an NFT Collection](https://docs.trust.enterprises/rest-api/nft-ecosystem/create-an-nft-collection.md): Create an NFT Collection with a name, symbol, supply, and basic default royalties.
- [Generate Metadata](https://docs.trust.enterprises/rest-api/nft-ecosystem/generate-metadata.md): Helping you to generate and pin HIP412 compliant metadata for your minted NFTs in your collection inside of IPFS through NFT storage.
- [Mint an NFT](https://docs.trust.enterprises/rest-api/nft-ecosystem/mint-an-nft.md): After receiving your Metadata CID you may mint an NFT, based on your collection,
- [Transfer an NFT](https://docs.trust.enterprises/rest-api/nft-ecosystem/transfer-an-nft.md): Attempt a transfer of your NFT, from your treasury, to any account on Hedera
- [Claiming NFTs through Passes](https://docs.trust.enterprises/rest-api/nft-ecosystem/claiming-nfts-through-passes.md): \[pounding on the desk] This is it! I'm telling you this is it! - Jeremy Irons (Margin Call)
- [Accounts](https://docs.trust.enterprises/rest-api/accounts.md): Create a hedera account for a user, this will provide you will the capability to send tokens to a user.
- [Tokens](https://docs.trust.enterprises/rest-api/tokens.md): Manage tokens through minting and sending to your users.
- [Create a token](https://docs.trust.enterprises/rest-api/tokens/create-a-token.md): Create a token with a name, symbol, supply, and memo.
- [Bequesting a token](https://docs.trust.enterprises/rest-api/tokens/bequesting-a-token.md): Send a token to an account that you have previously generated. This feature allows you to create decentralised experiences with onchain proof where a user requires no prior blockchain experience.
- [Token Holdings and Balance](https://docs.trust.enterprises/rest-api/tokens/token-holdings-and-balance.md): There are a couple of requests you can use to check the balance of a given token for a given account or you can check if an account has a number of different tokens.
- [Topics](https://docs.trust.enterprises/rest-api/topics.md): Manage topics for sending consensus messages to the client. You may create, update and read the information of a given topic.
- [Get topic info](https://docs.trust.enterprises/rest-api/topics/get-topic-info.md): Get the information for a given topic.
- [Creating a new topic](https://docs.trust.enterprises/rest-api/topics/creating-a-new-topic.md): Create a topic that automatically has a admin key set, only allowing for the serverless client to update them. You can a topic completely private for writes and updates and sending messages.
- [Updating a topic](https://docs.trust.enterprises/rest-api/topics/updating-a-topic.md): Update a topic with a different memo that is more suitable for your use case.
- [Consensus Messages](https://docs.trust.enterprises/rest-api/consensus-messages.md): Send a consensus message to hedera through your API with the option of using webhooks for waiting synchronously for finality.
- [Balance](https://docs.trust.enterprises/rest-api/balance.md): Get the current account balance of the client
- [Status](https://docs.trust.enterprises/rest-api/status.md): Get the current status of the deployed client
- [Webhooks](https://docs.trust.enterprises/rest-api/webhooks.md): Using webhooks provides a mechanism to be sent consensus responses from your client without having to wait for consensus. Currently in development.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trust.enterprises/rest-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
